Subject: bug#19660: Acknowledgement (24.4.51; Crash in draw_row_fringe_bitmaps)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 26 Jan 2015 11:31:23 +0200

> Date: Mon, 26 Jan 2015 10:12:35 +0100
> From: "Jan D." <[email-masked]>
> CC: [email-masked], "Kim F. Storm" <[email-masked]>
> 
> > If no other information emerges, my suggestion would be to remove the
> > assertion on master, and see if we get any bug reports.
> 
> No need for that, the NS version crashes later on if I remove that 
> assert.

Where does it crash, and why?  Another similar assertion or something
else?

> Better block input too much than to seldom I guess.

Right.  But understanding why this happens is better yet ;-)

Seriously: I thought we aren't supposed to be hit by this stuff, since
we now never run code out of an interrupt handler.  I guess I missed
something important.

> Unfortunately I managed to loose my .desktop that consistently triggered 
> the error, so I can't investigate further.

Don't you have a backup of that somewhere?